CSFML 3.0.0
Loading...
Searching...
No Matches
Functions
Buffer.h File Reference
`#include <CSFML/System/Export.h>`
`#include <CSFML/System/Types.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Functions
sfBuffer * | sfBuffer_create (void)
| Create an empty buffer.
void | sfBuffer_destroy (const sfBuffer *buffer)
| Destroy an existing buffer.
size_t | sfBuffer_getSize (const sfBuffer *buffer)
| Return the size of a buffer.
const uint8_t * | sfBuffer_getData (const sfBuffer *buffer)
| Get a read-only pointer to the array of bytes of a buffer.

## Function Documentation

## ◆ sfBuffer_create()

sfBuffer * sfBuffer_create | ( | void |  | ) |

Create an empty buffer.

Returns
  A new sfBuffer object, or NULL if it failed

## ◆ sfBuffer_destroy()

void sfBuffer_destroy | ( | const sfBuffer * | buffer | ) |

Destroy an existing buffer.

Parameters

  buffer | Buffer to delete

## ◆ sfBuffer_getData()

const uint8_t * sfBuffer_getData | ( | const sfBuffer * | buffer | ) |

Get a read-only pointer to the array of bytes of a buffer.

Parameters

  buffer | Buffer object

Returns
  Read-only pointer to the array of bytes

## ◆ sfBuffer_getSize()

size_t sfBuffer_getSize | ( | const sfBuffer * | buffer | ) |

Return the size of a buffer.

Parameters

  buffer | Buffer object

Returns
  Size in bytes